<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/systems/locking/expansioncodelockui.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dfe/a00125_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncodelockui.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/dfe/a00125.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionLockVehicle.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d84/a00001.html">   13</a></span><span class="comment">/** @class      ExpansionCodeLockUI</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief Handles the UI for the CodeLock       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> */</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d84/a00001.html#de/d98/a07941">ExpansionCodeLockUI</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d11/a03445.html">ExpansionLockUIBase</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{   </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a4c9c87b84713a86868e328ca57cab1a6">   19</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a4c9c87b84713a86868e328ca57cab1a6">m_Button0</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a8124ba16e49fa01eab11f17c83ffa323">   20</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a8124ba16e49fa01eab11f17c83ffa323">m_Button0_Text</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a28f88955db1f69a1bae0437017e04706">   21</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a28f88955db1f69a1bae0437017e04706">m_Button1</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#ac1a8651ffd26fe6148a9d7403027a9da">   22</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#ac1a8651ffd26fe6148a9d7403027a9da">m_Button1_Text</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a35a85cbe14d5f06847c595d8a9ec32bd">   23</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a35a85cbe14d5f06847c595d8a9ec32bd">m_Button2</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#afa06bcaec86e9992731ea33f5a59a360">   24</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#afa06bcaec86e9992731ea33f5a59a360">m_Button2_Text</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a2d30f3f58e98bdf88ab06d26849f2a07">   25</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a2d30f3f58e98bdf88ab06d26849f2a07">m_Button3</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#ad0f1865b3098c4c1e666bcf1376d63bb">   26</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#ad0f1865b3098c4c1e666bcf1376d63bb">m_Button3_Text</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#abe04736dbe8f1aa15f98c7468eddf15a">   27</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#abe04736dbe8f1aa15f98c7468eddf15a">m_Button4</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a4ac380020101934bb853278b622669cc">   28</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a4ac380020101934bb853278b622669cc">m_Button4_Text</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#aa68497d8538e30de405c6b1e5912422e">   29</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#aa68497d8538e30de405c6b1e5912422e">m_Button5</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#ae2eecef264a134420200c8bb4b3fcdd7">   30</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#ae2eecef264a134420200c8bb4b3fcdd7">m_Button5_Text</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a9eee3b0d495e957cf0dc0bc7f38dfe1d">   31</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a9eee3b0d495e957cf0dc0bc7f38dfe1d">m_Button6</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a2908b763890fb9e2c7bff15910b18298">   32</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a2908b763890fb9e2c7bff15910b18298">m_Button6_Text</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a6d71144fcd1864c1376ba4481e9f3b5b">   33</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a6d71144fcd1864c1376ba4481e9f3b5b">m_Button7</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a682ec7f9530c98be775d05a2e58452d7">   34</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a682ec7f9530c98be775d05a2e58452d7">m_Button7_Text</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#acef2e90d774f439e986e27712df83bad">   35</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#acef2e90d774f439e986e27712df83bad">m_Button8</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a933255d7865afb4e3f0f59c37c20f106">   36</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a933255d7865afb4e3f0f59c37c20f106">m_Button8_Text</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#ab571905d3b1fea5dbf2a87a93988a5b8">   37</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#ab571905d3b1fea5dbf2a87a93988a5b8">m_Button9</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a8cd3f6e10e74fbfcfb7d81fb78990fe9">   38</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a8cd3f6e10e74fbfcfb7d81fb78990fe9">m_Button9_Text</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a938969d99d4bd029110fa4059be5fbb5">   40</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a938969d99d4bd029110fa4059be5fbb5">m_ButtonOK</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#adc0211666e0f312e0c53d14e2ce780eb">   41</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#adc0211666e0f312e0c53d14e2ce780eb">m_ButtonOK_Text</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a0104c1cd4246e2735f3d3386510cfe65">   42</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a0104c1cd4246e2735f3d3386510cfe65">m_ButtonClear</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a275c6cc58cfbe4d9a7b3be9de7697b39">   43</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a275c6cc58cfbe4d9a7b3be9de7697b39">m_ButtonClear_Text</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a01f10445c4e8ba44d5603477e08f5313">   44</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a01f10445c4e8ba44d5603477e08f5313">m_ButtonHash</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a1485ae39c24d211367f593291edafe2d">   45</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a1485ae39c24d211367f593291edafe2d">m_ButtonHash_Text</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a4711b78436ee48df1f00f1a70910f695">   47</a></span>    <span class="keyword">protected</span> ImageWidget <a class="code hl_variable" href="../../d9/d11/a03445.html#a4711b78436ee48df1f00f1a70910f695">m_LockStateIcon</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#aa926d89a2e5c1c505408e76ce99683ac">   49</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_HighlightColor = ARGB(255, 255, 255, 255);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#adbb01cb82c145470115cabe74f72eef3">   50</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_NormalColor = ARGB(255, 88, 88, 88);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a7cb4332c6082ac09cb376c27a08e4b8a">   51</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_LockedColor = ARGB(255, 231, 76, 60);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#ad1a6e931d16da17e5e40c121bec60c5d">   52</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_UnlockedColor = ARGB(255, 46, 204, 113);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a2903ebae014e9b79b82947f663369088">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d11/a03445.html#a2903ebae014e9b79b82947f663369088">ShowLockState</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> ( m_Target )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">if</span> ( m_Target.ExpansionIsLocked() )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                m_LockStateIcon.SetColor(m_LockedColor);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                m_LockStateIcon.SetColor(m_UnlockedColor);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a69231817b316b8b490f15d19d4b236ea">   68</a></span>    <span class="keyword">override</span> Widget <a class="code hl_function" href="../../d9/d11/a03445.html#a69231817b316b8b490f15d19d4b236ea">Init</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../d4/d9b/a02159.html#ad7788179007745267c85e62d91fc4a07">SetID</a>( <a class="code hl_variable" href="../../de/d5d/a08769.html#ade00ff1f34ba79d21f7a8ab1779d4073">MENU_EXPANSION_CODELOCK_MENU</a> );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        m_Code = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        layoutRoot = GetGame().GetWorkspace().CreateWidgets(<span class="stringliteral">&quot;DayZExpansion/BaseBuilding/GUI/layouts/expansion_codelock.layout&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        m_Button0 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode0&quot;</span>) );</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        m_Button0_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode0_Text&quot;</span>) );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_Button1 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode1&quot;</span>) );</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_Button1_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode1_Text&quot;</span>) );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        m_Button2 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode2&quot;</span>) );</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        m_Button2_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode2_Text&quot;</span>) );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        m_Button3 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode3&quot;</span>) );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        m_Button3_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode3_Text&quot;</span>) );</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        m_Button4 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode4&quot;</span>) );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        m_Button4_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode4_Text&quot;</span>) );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        m_Button5 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode5&quot;</span>) );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        m_Button5_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode5_Text&quot;</span>) );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        m_Button6 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode6&quot;</span>) );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        m_Button6_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode6_Text&quot;</span>) );</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        m_Button7 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode7&quot;</span>) );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        m_Button7_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode7_Text&quot;</span>) );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        m_Button8 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode8&quot;</span>) );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        m_Button8_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode8_Text&quot;</span>) );       </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        m_Button9 = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode9&quot;</span>) );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        m_Button9_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCode9_Text&quot;</span>) );   </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        m_ButtonOK = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeOK&quot;</span>) ); </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        m_ButtonOK_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeOK_Text&quot;</span>) );</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        m_ButtonHash = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeHash&quot;</span>) ); </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        m_ButtonHash_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeHash_Text&quot;</span>) );</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        m_ButtonHash_Text.SetText(<span class="stringliteral">&quot;#STR_EXPANSION_HASHTAG&quot;</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        m_ButtonClear = ButtonWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeClear&quot;</span>) );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        m_ButtonClear_Text = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;ButtonCodeClear_Text&quot;</span>) );       </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        m_TextCodePanel = TextWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;CodeText&quot;</span>) );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        m_TextCodePanel.SetText( m_Code );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        m_LockStateIcon = ImageWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;LockState&quot;</span>) );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        RefreshCode();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        ShowLockState();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#aa56a434acb44a19f4c437ec5c2d719b1">  118</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d11/a03445.html#aa56a434acb44a19f4c437ec5c2d719b1">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        super.OnMouseEnter(w, x, y);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> ( w == m_Button0 )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            m_Button0_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button1 )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            m_Button1_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button2 )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            m_Button2_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button3 )</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            m_Button3_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button4 )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            m_Button4_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button5 )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            m_Button5_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button6 )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            m_Button6_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button7 )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            m_Button7_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }   </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button8 )</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            m_Button8_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button9 )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            m_Button9_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonOK )</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            m_ButtonOK_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonClear )</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            m_ButtonClear_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonHash )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            m_ButtonHash_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    }</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a68bdad01049b0f22ea3f0921a3bbe672">  204</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d11/a03445.html#a68bdad01049b0f22ea3f0921a3bbe672">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordflow">if</span> ( w == m_Button0 )</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            m_Button0_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>            </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button1 )</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            m_Button1_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button2 )</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        {</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            m_Button2_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button3 )</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            m_Button3_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button4 )</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            m_Button4_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button5 )</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            m_Button5_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        }</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button6 )</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        {</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>            m_Button6_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        }</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button7 )</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        {</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            m_Button7_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        }   </div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button8 )</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            m_Button8_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_Button9 )</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            m_Button9_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonOK )</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        {</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            m_ButtonOK_Text.SetColor( m_HighlightColor );</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        }</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonClear )</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            m_ButtonClear_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        }</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ButtonHash )</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>        {</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            m_ButtonHash_Text.SetColor( m_NormalColor );</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            </div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        }</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>        </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>    }</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#acf2ccbe86ffed3cf4edf2cf46242b8f1">  290</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d11/a03445.html#acf2ccbe86ffed3cf4edf2cf46242b8f1">OnClick</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    {</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        super.OnClick(w, x, y, button);</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>        <span class="keywordflow">if</span> (m_Code.Length() &lt; m_CodeLength)</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>        {</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            <span class="keywordflow">switch</span>(w)</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>            {</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                <span class="keywordflow">case</span> m_Button0:</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                {</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                    m_Code += <span class="stringliteral">&quot;0&quot;</span>;</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>                    RefreshCode();</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                    SoundOnclick();</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>                }</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>                <span class="keywordflow">case</span> m_Button1:</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                {</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                    m_Code += <span class="stringliteral">&quot;1&quot;</span>;</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                    RefreshCode();</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                    SoundOnclick();</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>                }</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>                <span class="keywordflow">case</span> m_Button2:</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>                {</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>                    m_Code += <span class="stringliteral">&quot;2&quot;</span>;</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>                    RefreshCode();</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>                    SoundOnclick();</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>                }</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>                <span class="keywordflow">case</span> m_Button3:</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>                {</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>                    m_Code += <span class="stringliteral">&quot;3&quot;</span>;</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>                    RefreshCode();</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>                    SoundOnclick();</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>                }</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>                <span class="keywordflow">case</span> m_Button4:</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>                {</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>                    m_Code += <span class="stringliteral">&quot;4&quot;</span>;</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>                    RefreshCode();</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>                    SoundOnclick();</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>                }</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>                <span class="keywordflow">case</span> m_Button5:</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>                {</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>                    m_Code += <span class="stringliteral">&quot;5&quot;</span>;</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>                    RefreshCode();</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>                    SoundOnclick();</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>                }</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>                <span class="keywordflow">case</span> m_Button6:</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>                {</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>                    m_Code += <span class="stringliteral">&quot;6&quot;</span>;</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>                    RefreshCode();</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>                    SoundOnclick();</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>                }</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>                <span class="keywordflow">case</span> m_Button7:</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>                {</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>                    m_Code += <span class="stringliteral">&quot;7&quot;</span>;</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>                    RefreshCode();</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>                    SoundOnclick();</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>                }</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>                <span class="keywordflow">case</span> m_Button8:</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>                {</div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>                    m_Code += <span class="stringliteral">&quot;8&quot;</span>;</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>                    RefreshCode();</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>                    SoundOnclick();</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>                }</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span>                <span class="keywordflow">case</span> m_Button9:</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>                {</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>                    m_Code += <span class="stringliteral">&quot;9&quot;</span>;</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>                    RefreshCode();</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>                    SoundOnclick();</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span>                }</div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span>            }</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>        }</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span> </div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>        <span class="keywordflow">if</span> ( w == m_ButtonOK || w == m_ButtonHash )</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span>        {</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span>            RefreshCode();</div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span>            SoundOnclick();</div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span> </div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span>            Process();</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span> </div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span>        }</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>        <span class="keywordflow">if</span> ( w == m_ButtonClear )</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>        {</div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>            m_Code = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>            </div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>            RefreshCode();</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>            SoundOnReset();</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span> </div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>        }</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span> </div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>    }</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>    </div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno"><a class="line" href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">  394</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">OnKeyPress</a>( <span class="keywordtype">int</span> key )</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span>    {</div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>        <span class="keywordflow">if</span> ( m_Code.Length() &lt; m_CodeLength )</div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span>        {</div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span>            <span class="comment">// We can&#39;t do that because key are not sorted, wtf DayZ ? :(</span></div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span>            <span class="comment">// if ( key &gt;= KeyCode.KC_NUMPAD0 &amp;&amp; key &lt;= KeyCode.KC_NUMPAD9 )</span></div>
<div class="line"><a id="l00400" name="l00400"></a><span class="lineno">  400</span>            <span class="keywordflow">switch</span> ( key )</div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span>            {</div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span>                <span class="keywordflow">case</span> KeyCode.KC_0:</div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD0:</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>                    m_Code += <span class="stringliteral">&quot;0&quot;</span>;</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>                    SoundOnclick();</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span>                <span class="keywordflow">case</span> KeyCode.KC_1:</div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD1:</div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno">  409</span>                    m_Code += <span class="stringliteral">&quot;1&quot;</span>;</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span>                    SoundOnclick();</div>
<div class="line"><a id="l00411" name="l00411"></a><span class="lineno">  411</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00412" name="l00412"></a><span class="lineno">  412</span>                <span class="keywordflow">case</span> KeyCode.KC_2:</div>
<div class="line"><a id="l00413" name="l00413"></a><span class="lineno">  413</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD2:</div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span>                    m_Code += <span class="stringliteral">&quot;2&quot;</span>;</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span>                    SoundOnclick();</div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span>                <span class="keywordflow">case</span> KeyCode.KC_3:</div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD3:</div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span>                    m_Code += <span class="stringliteral">&quot;3&quot;</span>;</div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span>                    SoundOnclick();</div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span>                <span class="keywordflow">case</span> KeyCode.KC_4:</div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD4:</div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span>                    m_Code += <span class="stringliteral">&quot;4&quot;</span>;</div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span>                    SoundOnclick();</div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span>                <span class="keywordflow">case</span> KeyCode.KC_5:</div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD5:</div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span>                    m_Code += <span class="stringliteral">&quot;5&quot;</span>;</div>
<div class="line"><a id="l00430" name="l00430"></a><span class="lineno">  430</span>                    SoundOnclick();</div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span>                <span class="keywordflow">case</span> KeyCode.KC_6:</div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD6:</div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno">  434</span>                    m_Code += <span class="stringliteral">&quot;6&quot;</span>;</div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span>                    SoundOnclick();</div>
<div class="line"><a id="l00436" name="l00436"></a><span class="lineno">  436</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00437" name="l00437"></a><span class="lineno">  437</span>                <span class="keywordflow">case</span> KeyCode.KC_7:</div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno">  438</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD7:</div>
<div class="line"><a id="l00439" name="l00439"></a><span class="lineno">  439</span>                    m_Code += <span class="stringliteral">&quot;7&quot;</span>;</div>
<div class="line"><a id="l00440" name="l00440"></a><span class="lineno">  440</span>                    SoundOnclick();</div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno">  442</span>                <span class="keywordflow">case</span> KeyCode.KC_8:</div>
<div class="line"><a id="l00443" name="l00443"></a><span class="lineno">  443</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD8:</div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno">  444</span>                    m_Code += <span class="stringliteral">&quot;8&quot;</span>;</div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span>                    SoundOnclick();</div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00447" name="l00447"></a><span class="lineno">  447</span>                <span class="keywordflow">case</span> KeyCode.KC_9:</div>
<div class="line"><a id="l00448" name="l00448"></a><span class="lineno">  448</span>                <span class="keywordflow">case</span> KeyCode.KC_NUMPAD9:</div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno">  449</span>                    m_Code += <span class="stringliteral">&quot;9&quot;</span>;</div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span>                    SoundOnclick();</div>
<div class="line"><a id="l00451" name="l00451"></a><span class="lineno">  451</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00452" name="l00452"></a><span class="lineno">  452</span>            }</div>
<div class="line"><a id="l00453" name="l00453"></a><span class="lineno">  453</span>            </div>
<div class="line"><a id="l00454" name="l00454"></a><span class="lineno">  454</span>            RefreshCode();</div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span>        }</div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span>        </div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno">  457</span>        <span class="keywordflow">if</span> ( key == KeyCode.KC_RETURN || key == KeyCode.KC_NUMPADENTER )</div>
<div class="line"><a id="l00458" name="l00458"></a><span class="lineno">  458</span>        {</div>
<div class="line"><a id="l00459" name="l00459"></a><span class="lineno">  459</span>            SoundOnclick();</div>
<div class="line"><a id="l00460" name="l00460"></a><span class="lineno">  460</span>            Process();</div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span>        }</div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span>        </div>
<div class="line"><a id="l00463" name="l00463"></a><span class="lineno">  463</span>        <span class="keywordflow">if</span> ( key == KeyCode.KC_BACK )</div>
<div class="line"><a id="l00464" name="l00464"></a><span class="lineno">  464</span>        {</div>
<div class="line"><a id="l00465" name="l00465"></a><span class="lineno">  465</span>            <span class="keywordflow">if</span> ( m_Code.Length() &gt; 0 &amp;&amp; !m_Code.Length() == 0 )</div>
<div class="line"><a id="l00466" name="l00466"></a><span class="lineno">  466</span>            {</div>
<div class="line"><a id="l00467" name="l00467"></a><span class="lineno">  467</span>                m_Code = <a class="code hl_class" href="../../d9/df4/a04245.html">ExpansionString</a>.<a class="code hl_function" href="../../d9/df4/a04245.html#ae47e31fc69e803b86d40900429557fda">RemoveLastChar</a>( m_Code );</div>
<div class="line"><a id="l00468" name="l00468"></a><span class="lineno">  468</span>                RefreshCode();</div>
<div class="line"><a id="l00469" name="l00469"></a><span class="lineno">  469</span>                SoundOnReset();</div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno">  470</span>            }</div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span>        }</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span>    }</div>
<div class="line"><a id="l00473" name="l00473"></a><span class="lineno">  473</span>}</div>
<div class="line"><a id="l00474" name="l00474"></a><span class="lineno">  474</span> </div>
<div class="ttc" id="aa00001_html_de/d98/a07941"><div class="ttname"><a href="../../d8/d84/a00001.html#de/d98/a07941">ExpansionCodeLockUI</a></div><div class="ttdoc">Handles the UI for the CodeLock</div></div>
<div class="ttc" id="aa02159_html_ad7788179007745267c85e62d91fc4a07"><div class="ttname"><a href="../../d4/d9b/a02159.html#ad7788179007745267c85e62d91fc4a07">SetID</a></div><div class="ttdeci">void SetID(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9b/a02159_source.html#l00046">expansionquestnpcdata.c:46</a></div></div>
<div class="ttc" id="aa03445_html"><div class="ttname"><a href="../../d9/d11/a03445.html">ExpansionLockUIBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00017">expansioncodelockui.c:18</a></div></div>
<div class="ttc" id="aa03445_html_a0104c1cd4246e2735f3d3386510cfe65"><div class="ttname"><a href="../../d9/d11/a03445.html#a0104c1cd4246e2735f3d3386510cfe65">ExpansionLockUIBase::m_ButtonClear</a></div><div class="ttdeci">protected ButtonWidget m_ButtonClear</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00042">expansioncodelockui.c:42</a></div></div>
<div class="ttc" id="aa03445_html_a01f10445c4e8ba44d5603477e08f5313"><div class="ttname"><a href="../../d9/d11/a03445.html#a01f10445c4e8ba44d5603477e08f5313">ExpansionLockUIBase::m_ButtonHash</a></div><div class="ttdeci">protected ButtonWidget m_ButtonHash</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00044">expansioncodelockui.c:44</a></div></div>
<div class="ttc" id="aa03445_html_a1485ae39c24d211367f593291edafe2d"><div class="ttname"><a href="../../d9/d11/a03445.html#a1485ae39c24d211367f593291edafe2d">ExpansionLockUIBase::m_ButtonHash_Text</a></div><div class="ttdeci">protected TextWidget m_ButtonHash_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00045">expansioncodelockui.c:45</a></div></div>
<div class="ttc" id="aa03445_html_a275c6cc58cfbe4d9a7b3be9de7697b39"><div class="ttname"><a href="../../d9/d11/a03445.html#a275c6cc58cfbe4d9a7b3be9de7697b39">ExpansionLockUIBase::m_ButtonClear_Text</a></div><div class="ttdeci">protected TextWidget m_ButtonClear_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00043">expansioncodelockui.c:43</a></div></div>
<div class="ttc" id="aa03445_html_a28f88955db1f69a1bae0437017e04706"><div class="ttname"><a href="../../d9/d11/a03445.html#a28f88955db1f69a1bae0437017e04706">ExpansionLockUIBase::m_Button1</a></div><div class="ttdeci">protected ButtonWidget m_Button1</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00021">expansioncodelockui.c:21</a></div></div>
<div class="ttc" id="aa03445_html_a2903ebae014e9b79b82947f663369088"><div class="ttname"><a href="../../d9/d11/a03445.html#a2903ebae014e9b79b82947f663369088">ExpansionLockUIBase::ShowLockState</a></div><div class="ttdeci">override void ShowLockState()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00054">expansioncodelockui.c:54</a></div></div>
<div class="ttc" id="aa03445_html_a2908b763890fb9e2c7bff15910b18298"><div class="ttname"><a href="../../d9/d11/a03445.html#a2908b763890fb9e2c7bff15910b18298">ExpansionLockUIBase::m_Button6_Text</a></div><div class="ttdeci">protected TextWidget m_Button6_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00032">expansioncodelockui.c:32</a></div></div>
<div class="ttc" id="aa03445_html_a2d30f3f58e98bdf88ab06d26849f2a07"><div class="ttname"><a href="../../d9/d11/a03445.html#a2d30f3f58e98bdf88ab06d26849f2a07">ExpansionLockUIBase::m_Button3</a></div><div class="ttdeci">protected ButtonWidget m_Button3</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00025">expansioncodelockui.c:25</a></div></div>
<div class="ttc" id="aa03445_html_a35a85cbe14d5f06847c595d8a9ec32bd"><div class="ttname"><a href="../../d9/d11/a03445.html#a35a85cbe14d5f06847c595d8a9ec32bd">ExpansionLockUIBase::m_Button2</a></div><div class="ttdeci">protected ButtonWidget m_Button2</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00023">expansioncodelockui.c:23</a></div></div>
<div class="ttc" id="aa03445_html_a4711b78436ee48df1f00f1a70910f695"><div class="ttname"><a href="../../d9/d11/a03445.html#a4711b78436ee48df1f00f1a70910f695">ExpansionLockUIBase::m_LockStateIcon</a></div><div class="ttdeci">protected ImageWidget m_LockStateIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00047">expansioncodelockui.c:47</a></div></div>
<div class="ttc" id="aa03445_html_a4ac380020101934bb853278b622669cc"><div class="ttname"><a href="../../d9/d11/a03445.html#a4ac380020101934bb853278b622669cc">ExpansionLockUIBase::m_Button4_Text</a></div><div class="ttdeci">protected TextWidget m_Button4_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00028">expansioncodelockui.c:28</a></div></div>
<div class="ttc" id="aa03445_html_a4c9c87b84713a86868e328ca57cab1a6"><div class="ttname"><a href="../../d9/d11/a03445.html#a4c9c87b84713a86868e328ca57cab1a6">ExpansionLockUIBase::m_Button0</a></div><div class="ttdeci">protected ButtonWidget m_Button0</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00019">expansioncodelockui.c:19</a></div></div>
<div class="ttc" id="aa03445_html_a682ec7f9530c98be775d05a2e58452d7"><div class="ttname"><a href="../../d9/d11/a03445.html#a682ec7f9530c98be775d05a2e58452d7">ExpansionLockUIBase::m_Button7_Text</a></div><div class="ttdeci">protected TextWidget m_Button7_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00034">expansioncodelockui.c:34</a></div></div>
<div class="ttc" id="aa03445_html_a68bdad01049b0f22ea3f0921a3bbe672"><div class="ttname"><a href="../../d9/d11/a03445.html#a68bdad01049b0f22ea3f0921a3bbe672">ExpansionLockUIBase::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00204">expansioncodelockui.c:204</a></div></div>
<div class="ttc" id="aa03445_html_a69231817b316b8b490f15d19d4b236ea"><div class="ttname"><a href="../../d9/d11/a03445.html#a69231817b316b8b490f15d19d4b236ea">ExpansionLockUIBase::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00068">expansioncodelockui.c:68</a></div></div>
<div class="ttc" id="aa03445_html_a6d71144fcd1864c1376ba4481e9f3b5b"><div class="ttname"><a href="../../d9/d11/a03445.html#a6d71144fcd1864c1376ba4481e9f3b5b">ExpansionLockUIBase::m_Button7</a></div><div class="ttdeci">protected ButtonWidget m_Button7</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00033">expansioncodelockui.c:33</a></div></div>
<div class="ttc" id="aa03445_html_a7a13da67210d7e78df81eca3712488e0"><div class="ttname"><a href="../../d9/d11/a03445.html#a7a13da67210d7e78df81eca3712488e0">ExpansionLockUIBase::OnKeyPress</a></div><div class="ttdeci">override void OnKeyPress(int key)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00394">expansioncodelockui.c:394</a></div></div>
<div class="ttc" id="aa03445_html_a8124ba16e49fa01eab11f17c83ffa323"><div class="ttname"><a href="../../d9/d11/a03445.html#a8124ba16e49fa01eab11f17c83ffa323">ExpansionLockUIBase::m_Button0_Text</a></div><div class="ttdeci">protected TextWidget m_Button0_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00020">expansioncodelockui.c:20</a></div></div>
<div class="ttc" id="aa03445_html_a8cd3f6e10e74fbfcfb7d81fb78990fe9"><div class="ttname"><a href="../../d9/d11/a03445.html#a8cd3f6e10e74fbfcfb7d81fb78990fe9">ExpansionLockUIBase::m_Button9_Text</a></div><div class="ttdeci">protected TextWidget m_Button9_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00038">expansioncodelockui.c:38</a></div></div>
<div class="ttc" id="aa03445_html_a933255d7865afb4e3f0f59c37c20f106"><div class="ttname"><a href="../../d9/d11/a03445.html#a933255d7865afb4e3f0f59c37c20f106">ExpansionLockUIBase::m_Button8_Text</a></div><div class="ttdeci">protected TextWidget m_Button8_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00036">expansioncodelockui.c:36</a></div></div>
<div class="ttc" id="aa03445_html_a938969d99d4bd029110fa4059be5fbb5"><div class="ttname"><a href="../../d9/d11/a03445.html#a938969d99d4bd029110fa4059be5fbb5">ExpansionLockUIBase::m_ButtonOK</a></div><div class="ttdeci">protected ButtonWidget m_ButtonOK</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00040">expansioncodelockui.c:40</a></div></div>
<div class="ttc" id="aa03445_html_a9eee3b0d495e957cf0dc0bc7f38dfe1d"><div class="ttname"><a href="../../d9/d11/a03445.html#a9eee3b0d495e957cf0dc0bc7f38dfe1d">ExpansionLockUIBase::m_Button6</a></div><div class="ttdeci">protected ButtonWidget m_Button6</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00031">expansioncodelockui.c:31</a></div></div>
<div class="ttc" id="aa03445_html_aa56a434acb44a19f4c437ec5c2d719b1"><div class="ttname"><a href="../../d9/d11/a03445.html#aa56a434acb44a19f4c437ec5c2d719b1">ExpansionLockUIBase::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00118">expansioncodelockui.c:118</a></div></div>
<div class="ttc" id="aa03445_html_aa68497d8538e30de405c6b1e5912422e"><div class="ttname"><a href="../../d9/d11/a03445.html#aa68497d8538e30de405c6b1e5912422e">ExpansionLockUIBase::m_Button5</a></div><div class="ttdeci">protected ButtonWidget m_Button5</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00029">expansioncodelockui.c:29</a></div></div>
<div class="ttc" id="aa03445_html_ab571905d3b1fea5dbf2a87a93988a5b8"><div class="ttname"><a href="../../d9/d11/a03445.html#ab571905d3b1fea5dbf2a87a93988a5b8">ExpansionLockUIBase::m_Button9</a></div><div class="ttdeci">protected ButtonWidget m_Button9</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00037">expansioncodelockui.c:37</a></div></div>
<div class="ttc" id="aa03445_html_abe04736dbe8f1aa15f98c7468eddf15a"><div class="ttname"><a href="../../d9/d11/a03445.html#abe04736dbe8f1aa15f98c7468eddf15a">ExpansionLockUIBase::m_Button4</a></div><div class="ttdeci">protected ButtonWidget m_Button4</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00027">expansioncodelockui.c:27</a></div></div>
<div class="ttc" id="aa03445_html_ac1a8651ffd26fe6148a9d7403027a9da"><div class="ttname"><a href="../../d9/d11/a03445.html#ac1a8651ffd26fe6148a9d7403027a9da">ExpansionLockUIBase::m_Button1_Text</a></div><div class="ttdeci">protected TextWidget m_Button1_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00022">expansioncodelockui.c:22</a></div></div>
<div class="ttc" id="aa03445_html_acef2e90d774f439e986e27712df83bad"><div class="ttname"><a href="../../d9/d11/a03445.html#acef2e90d774f439e986e27712df83bad">ExpansionLockUIBase::m_Button8</a></div><div class="ttdeci">protected ButtonWidget m_Button8</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00035">expansioncodelockui.c:35</a></div></div>
<div class="ttc" id="aa03445_html_acf2ccbe86ffed3cf4edf2cf46242b8f1"><div class="ttname"><a href="../../d9/d11/a03445.html#acf2ccbe86ffed3cf4edf2cf46242b8f1">ExpansionLockUIBase::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00290">expansioncodelockui.c:290</a></div></div>
<div class="ttc" id="aa03445_html_ad0f1865b3098c4c1e666bcf1376d63bb"><div class="ttname"><a href="../../d9/d11/a03445.html#ad0f1865b3098c4c1e666bcf1376d63bb">ExpansionLockUIBase::m_Button3_Text</a></div><div class="ttdeci">protected TextWidget m_Button3_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00026">expansioncodelockui.c:26</a></div></div>
<div class="ttc" id="aa03445_html_adc0211666e0f312e0c53d14e2ce780eb"><div class="ttname"><a href="../../d9/d11/a03445.html#adc0211666e0f312e0c53d14e2ce780eb">ExpansionLockUIBase::m_ButtonOK_Text</a></div><div class="ttdeci">protected TextWidget m_ButtonOK_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00041">expansioncodelockui.c:41</a></div></div>
<div class="ttc" id="aa03445_html_ae2eecef264a134420200c8bb4b3fcdd7"><div class="ttname"><a href="../../d9/d11/a03445.html#ae2eecef264a134420200c8bb4b3fcdd7">ExpansionLockUIBase::m_Button5_Text</a></div><div class="ttdeci">protected TextWidget m_Button5_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00030">expansioncodelockui.c:30</a></div></div>
<div class="ttc" id="aa03445_html_afa06bcaec86e9992731ea33f5a59a360"><div class="ttname"><a href="../../d9/d11/a03445.html#afa06bcaec86e9992731ea33f5a59a360">ExpansionLockUIBase::m_Button2_Text</a></div><div class="ttdeci">protected TextWidget m_Button2_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfe/a00125_source.html#l00024">expansioncodelockui.c:24</a></div></div>
<div class="ttc" id="aa04245_html"><div class="ttname"><a href="../../d9/df4/a04245.html">ExpansionString</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00013">expansionstring.c:14</a></div></div>
<div class="ttc" id="aa04245_html_ae47e31fc69e803b86d40900429557fda"><div class="ttname"><a href="../../d9/df4/a04245.html#ae47e31fc69e803b86d40900429557fda">ExpansionString::RemoveLastChar</a></div><div class="ttdeci">static string RemoveLastChar(string str)</div><div class="ttdoc">Removes the last character from the string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00114">expansionstring.c:114</a></div></div>
<div class="ttc" id="aa08769_html_ade00ff1f34ba79d21f7a8ab1779d4073"><div class="ttname"><a href="../../de/d5d/a08769.html#ade00ff1f34ba79d21f7a8ab1779d4073">MENU_EXPANSION_CODELOCK_MENU</a></div><div class="ttdeci">const int MENU_EXPANSION_CODELOCK_MENU</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00051">expansionconstants.c:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_a35625b819d35e3efbd98e6f31ee1b95.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_dce1f80be968f035997424d3c57040c5.html">locking</a></li><li class="navelem"><a class="el" href="../../dc/dfe/a00125.html">expansioncodelockui.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
